Bug 58993 - logrotate rotate log with size 0
logrotate rotate log with size 0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 18:37 EST by acount closed by user
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-17 20:24:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2002-01-28 18:37:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.17-0.9 i686)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.none
2.none
3.none
	

Additional info:
Comment 1 Elliot Lee 2002-01-29 13:45:30 EST
"logrotate rotate log with size 0" is not sufficient to know what the bug is...
Please elaborate.
Comment 2 acount closed by user 2002-03-17 20:24:35 EST
log with 0 size, why does rotate it?
-rw-------    1 root     root            0 Nov 11 14:57 tcp-log
-rw-------    1 root     root            0 Mar  3 00:30 vsftpd.log.2
-rw-------    1 root     root            0 Mar  3 00:30 spooler.2
-rw-------    1 root     root            0 Mar  3 00:30 maillog.2
-rw-------    1 root     root            0 Mar 17 05:00 vsftpd.log
-rw-------    1 root     root            0 Mar 17 05:00 spooler
-rw-------    1 root     root            0 Mar 17 05:00 secure
-rw-------    1 root     root            0 Mar 17 05:00 maillog
-rw-------    1 root     root            0 Mar 10 12:31 spooler.1
-rw-------    1 root     root            0 Mar 10 12:31 maillog.1
-rw-------    1 root     root            0 Jan 26 15:47 tux
-rw-------    1 root     root            0 Feb 24 04:02 vsftpd.log.3
-rw-------    1 root     root            0 Feb 24 04:02 spooler.3
-rw-------    1 root     root            0 Feb 24 04:02 secure.3
-rw-------    1 root     root            0 Feb 24 04:02 maillog.3
-rw-------    1 root     root            0 Feb 17 05:16 spooler.4
-rw-------    1 root     root            0 Feb 17 05:16 maillog.4
-rw-------    1 root     root            0 Dec  2 13:03 xferlog
Comment 3 Elliot Lee 2002-04-15 15:23:17 EDT
If you want to rotate based on size rather than elapsed time, you should use the
'size' keyword in logrotate configuration. Unfortunately it is not possible to
rotate based on multiple criteria.

See 'man logrotate' for details.
Comment 4 acount closed by user 2002-05-02 22:39:29 EDT
it is silly rotate logs with size=0,  must to be used the option -> notifempty
at /etc/logrotate.conf

Note You need to log in before you can comment on or make changes to this bug.